# Getting started

Follow the quickstart below, or view the more [detailed installation
documentation](https://stumpf.kitware.com/docs/installation.html).

# Quickstart

## Requirements
- postgres
- python >= 3.6
- pip
- node >= 8
- yarn

## Setup
```shell
cp .env.example .env
python3 -m venv env/
. ./env/bin/activate
pip install -e .
stumpf-create-tables
flask run

cd apps/stumpf
yarn && yarn run serve
```

Visit the URL returned by `yarn run serve` to test the UI. To test the API run the
following in a new terminal. Note that you will need an authentication token. By
default, a token is autogenerated on server start and displayed in the output of
`flask run`.

```shell
curl -H "X-Stumpf-Token:<TOKEN>" http://localhost:5000/api/v1/video
```

This will return a json list of videos or `[]` if none have been imported yet.
