#!/bin/bash
set -e
set -o pipefail

if ! [ -x "$(command -v aws)" ]; then
    echo 'Error: awscli is not installed.' >&2
    exit 1
fi

stumpf_secret () {
    aws secretsmanager get-secret-value \
        --secret-id "stumpf/rds_readonly.$1" | jq -r .SecretString
}

PGHOST="$(stumpf_secret host)"
PGUSER="$(stumpf_secret username)"
PGPASSWORD="$(stumpf_secret password)"
PGDATABASE="stumpf"

export PGHOST
export PGUSER
export PGPASSWORD
export PGDATABASE

echo "postgresql://$PGUSER:$PGPASSWORD@$PGHOST/$PGDATABASE"

if [ "$(command -v pgcli)" ]; then
    pgcli "$PGDATABASE"
else
    psql "$PGDATABASE"
fi
