#!/bin/bash
set -e

if ! [ -x "$(command -v tmux)" ]; then
    echo 'Error: tmux is not installed.' >&2
    exit 1
fi

if ! [ -x "$(command -v tmuxinator)" ]; then
    echo 'Error: tmuxinator is not installed.' >&2
    exit 1
fi

if [ "$#" -ne 1 ]; then
    echo "Usage: start-all-tmux.sh /path/to/stumpf/virtualenv"
    exit 1
fi

SCRIPTS_PATH="$( cd "$(dirname "$0")" ; pwd -P )"
export STUMPF_ROOT_DIR="$SCRIPTS_PATH/.."

export STUMPF_VIRTUALENV="$1"
shift

tmuxinator start --attach --project-config "$SCRIPTS_PATH/etc/tmuxinator.yml"

# Uncomment this line to test/debug the tmuxinator configuration
# tmuxinator stop stumpf
