from functools import lru_cache

from pkg_resources import DistributionNotFound, get_distribution, iter_entry_points

try:
    __version__ = get_distribution(__name__).version
except DistributionNotFound:
    pass


@lru_cache()
def cached_iter_entry_points(entrypoint_name):
    return tuple(iter_entry_points(entrypoint_name))
