from apispec import APISpec
from apispec.ext.marshmallow import MarshmallowPlugin
from apispec_webframeworks.flask import FlaskPlugin


def schema_resolver(schema):
    return None


ma_plugin = MarshmallowPlugin(schema_name_resolver=schema_resolver)


class OptionalFlaskPlugin(FlaskPlugin):
    def path_helper(self, *args, **kwargs):
        if 'view' not in kwargs:
            return None
        else:
            return super().path_helper(*args, **kwargs)


spec = APISpec(title='Stumpf',
               version='v1',
               openapi_version='2.0',
               plugins=[ma_plugin,
                        OptionalFlaskPlugin()],
               servers=[{
                   'url': 'http://localhost:{port}',
                   'description': 'Stumpf API server'
               }],
               schemes=['http', 'https'])
